//
//  UserProfileView.swift
//  MyApp
//
//  Created by Nikita Rossik on 2/2/22.
//

import SwiftUI

struct User {
	let name: String
	let imageName: String
	let githubProfile: String
}

struct UserProfileView: View {
	let user: User
	
	var body: some View {
		HStack {
			Image(user.imageName)
				.resizable()
				.frame(width: 40, height: 40)
				.clipShape(Circle())
			
			VStack(alignment: .leading) {
				Text(user.name)
				Text("@\(user.githubProfile)")
					.foregroundColor(.gray)
			}
		}
		.padding(.all)
	}
}


struct UserProfileView_Previews: PreviewProvider {
	static var previews: some View {
		UserProfileView(user: User(name: "Nikita", imageName: "Nikita", githubProfile: "wmorgue"))
//			.previewLayout(.sizeThatFits)
	}
}
